from mpython import *
import parrot
import neopixel
import time 
from machine import I2C,Pin
I2C_ADR=0x10
I2C_ADR2=0x39

def run(l_speed=100,r_speed=100):#电机驱动代码
    parrot.set_speed(parrot.MOTOR_1, r_speed)   
    parrot.set_speed(parrot.MOTOR_2, l_speed)

def read_l():#返回左边巡线头数值
    i2c.writeto(I2C_ADR, b'\x24')  
    buf4 = i2c.readfrom(I2C_ADR,1)[0]
    return buf4

def read_r():#返回右边巡线头数值
    i2c.writeto(I2C_ADR, b'\x21')
    buf1=i2c.readfrom(I2C_ADR,1)[0]
    return buf1
oled.fill(0)
oled.DispChar('我的马儿快快跑！', 10, 16, 1)
oled.show()
while True:
    oled.fill_rect(0, 48, 128, 16, 0)
    oled.DispChar('左值:'+str(read_l()), 2, 48, 1)
    oled.DispChar('右值:'+str(read_r()), 68, 48, 1)
    oled.show()
    if read_l()<100 and read_r()<100:
        run(80,80)
    elif read_l()>100 and read_r()<100:
        run(0,80)
    elif read_l()<100 and read_r()>100:
        run(80,0)
    else:
        run(0,0)
    